org.apache.ignite.internal.visor.misc

## Class VisorWalTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorWalTaskArg,VisorWalTaskResult,Collection<String>>
  - - org.apache.ignite.internal.visor.misc.VisorWalTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorWalTaskArg>,VisorWalTaskResult>

    @GridInternal
    public class VisorWalTask
    extends VisorMultiNodeTask<VisorWalTaskArg,VisorWalTaskResult,Collection<String>>

Performs WAL cleanup clusterwide.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorWalTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.misc.VisorWalTask.VisorWalJob` `job(VisorWalTaskArg arg)`
`protected Collection<UUID>` `jobNodes(VisorTaskArgument<VisorWalTaskArg> arg)`
`protected VisorWalTaskResult` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorWalTask

    public VisorWalTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.misc.VisorWalTask.VisorWalJob job(VisorWalTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorWalTaskArg,VisorWalTaskResult,Collection<String>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### jobNodes

    protected Collection<UUID> jobNodes(VisorTaskArgument<VisorWalTaskArg> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<VisorWalTaskArg,VisorWalTaskResult,Collection<String>>`
Returns:
  Collection of nodes IDs where jobs should be mapped.

#### reduce0

    @Nullable
    protected VisorWalTaskResult reduce0(List<ComputeJobResult> results)
                                            throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorWalTaskArg,VisorWalTaskResult,Collection<String>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019